BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

Enables access to objects across application domain boundaries in implementations that support remoting.

An application domain is a partition in an OS process where one or more applications reside. Objects in the same application domain communicate directly. Objects that reside in different application domains communicate either by transporting copies of objects across application domain boundaries, or by exchanging messages via proxy.

is the base class for objects that communicate across application domain boundaries by exchanging messages via a proxy. Objects that do not inherit from are implicitly . When a remote application references a object, a copy of the object is passed across application domain boundaries.

- Constructor
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Method
  System.Runtime.Remoting.ObjRef `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Object To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Object To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.MarshalByRefObject `` To be added. To be added. To be added. To be added.
0 System.Runtime.InteropServices.ComVisible(true)